## org.eclipse.amp.amf.acore.edit.commands.test
Class SetTransformer

    java.lang.Object
      org.eclipse.amp.amf.acore.edit.commands.test.PrePostCondition
          org.eclipse.amp.amf.acore.edit.commands.test.CommandTransformer
              org.eclipse.amp.amf.acore.edit.commands.test.SetTransformer

All Implemented Interfaces:
  PrePostAsserts, org.metaabm.tests.Transformer

Direct Known Subclasses:
  SetID, SetLabel, SetPlural

    public class SetTransformer

extends CommandTransformer

Constructor Summary
`SetTransformer(org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value)`

Method Summary
`org.eclipse.emf.common.command.Command` `getCommand()`
`IID` `getIID()`
`SNamed` `getSNamed()`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.CommandTransformer
`addPrePost, doPostCondition, doPreCondition, exec, modifies, prepare, redo, toString, undo`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.PrePostCondition
`agAttr, agentRootAct, agInput, agQuery, attr, getDomain, getModel, memAgent, memContext, postCondition, preCondition, rootAct, setDomain, setModel, setTestCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.amp.amf.acore.edit.commands.test.PrePostAsserts
`postCondition, preCondition`

Constructor Detail

### SetTransformer

    public SetTransformer(org.eclipse.emf.ecore.EStructuralFeature feature,
                          java.lang.Object value)

Method Detail

### getIID

    public IID getIID()

### getSNamed

    public SNamed getSNamed()

### getCommand

    public org.eclipse.emf.common.command.Command getCommand()

  Specified by:
    `getCommand` in class `CommandTransformer`